/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model260
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model260 {
  @SerializedName("bank_account")
  private BankAccount bankAccount = null;

  @SerializedName("bank_account_holder")
  private Model259 bankAccountHolder = null;

  @SerializedName("additional_information")
  private Model244 additionalInformation = null;

  public Model260 bankAccount(BankAccount bankAccount) {
    this.bankAccount = bankAccount;
    return this;
  }

   /**
   * Get bankAccount
   * @return bankAccount
  **/
  @ApiModelProperty(required = true, value = "")
  public BankAccount getBankAccount() {
    return bankAccount;
  }

  public void setBankAccount(BankAccount bankAccount) {
    this.bankAccount = bankAccount;
  }

  public Model260 bankAccountHolder(Model259 bankAccountHolder) {
    this.bankAccountHolder = bankAccountHolder;
    return this;
  }

   /**
   * Get bankAccountHolder
   * @return bankAccountHolder
  **/
  @ApiModelProperty(required = true, value = "")
  public Model259 getBankAccountHolder() {
    return bankAccountHolder;
  }

  public void setBankAccountHolder(Model259 bankAccountHolder) {
    this.bankAccountHolder = bankAccountHolder;
  }

  public Model260 additionalInformation(Model244 additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Get additionalInformation
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "")
  public Model244 getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(Model244 additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model260 model260 = (Model260) o;
    return Objects.equals(this.bankAccount, model260.bankAccount) &&
        Objects.equals(this.bankAccountHolder, model260.bankAccountHolder) &&
        Objects.equals(this.additionalInformation, model260.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(bankAccount, bankAccountHolder, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model260 {\n");
    
    sb.append("    bankAccount: ").append(toIndentedString(bankAccount)).append("\n");
    sb.append("    bankAccountHolder: ").append(toIndentedString(bankAccountHolder)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

